import $http from '@/common/request.js';
import config from '@/config';

// 获取建筑数据
function getBuildingList(params) {
    return $http({
        url: `${config.objectService}object/building/query?projectId=Pj1101080259`,
        method: 'POST',
        data: JSON.stringify(params),
        isComParams: false   // 是否携带通用的参数
    })
}

// 获取楼层数据
function getFloorList(params) {
    return $http({
        url: `${config.objectService}object/floor/query`,
        method: 'POST',
        data: JSON.stringify(params),
        isComParams: false   // 是否携带通用的参数
    })
}

// 获取地图数据
function getMapInfo(params) {
    return $http({
        url: `${config.setupService}map/queryMapInfo`,
        method: 'POST',
        data: JSON.stringify(params),
        isComParams: false    // 是否携带通用的参数
    })
}

export {
    getFloorList,
    getBuildingList,
    getMapInfo
}